# FoundationClasses
TKMath
TColgp

# TColgp_SequenceNodeOfSequenceOfVec2d Class Reference

`#include <TColgp_SequenceNodeOfSequenceOfVec2d.hxx>`

Inheritance diagram for TColgp_SequenceNodeOfSequenceOfVec2d:

[legend]

## Public Member Functions

| TColgp_SequenceNodeOfSequenceOfVec2d (const gp_Vec2d &I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
gp_Vec2d & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Vec2d | myValue

## Constructor & Destructor Documentation

TColgp_SequenceNodeOfSequenceOfVec2d::TColgp_SequenceNodeOfSequenceOfVec2d | ( | const gp_Vec2d & | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const TColgp_SequenceNodeOfSequenceOfVec2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

gp_Vec2d& TColgp_SequenceNodeOfSequenceOfVec2d::Value | ( |  | ) | const

## Field Documentation

gp_Vec2d TColgp_SequenceNodeOfSequenceOfVec2d::myValue `[private]`

The documentation for this class was generated from the following file:

- TColgp_SequenceNodeOfSequenceOfVec2d.hxx